iphone 5 not working with itunes?

Discussion in 'iPhone' started by jonrodge, Sep 22, 2012.

  1. jonrodge, Sep 22, 2012
    Last edited: Sep 22, 2012

    jonrodge macrumors newbie

    Sep 22, 2012
    when i plug it in it states The iPhone cannot be used because it requires iTunes version 10.7 or later. I have itunes 10.6.3 and my imac states that is the latest version and wont let me download 10.7... what do I do any tips please as i spent ages searching on google etc without any luck???
  2. robots3humans0 macrumors 6502

    Sep 22, 2009
    London, Ontario
    Download iTunes directly from Apple's website and install it. It'll download the latest version.
  3. jonrodge thread starter macrumors newbie

    Sep 22, 2012
    I did directly from apple and when it went to install it states i need mac os 10.6.8, my system is 10.5.8 so unsure what to do now?
  4. ZBoater macrumors G3


    Jul 2, 2007
    Sunny Florida
    Upgrade to 10.6.8? :confused:
  5. jonrodge thread starter macrumors newbie

    Sep 22, 2012
    in order to do that you need to download 10.6 which you have to pay for, I didnt expect to have to do that just so I can sync my iphone 5 to itunes, surely there must be a way round it

Share This Page